> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/integrations/using-limio-for-salesforce/troubleshooting/v3-platform-event-errors.md).

# Salesforce V3 Plugin Platform Event Errors

{% hint style="danger" %}
**Error: "No such column 'firstName' on sObject of type i42as\_\_OrderEvent\_\_e", "errorCode":"INVALID\_FIELD"**\
In Salesforce, custom platform event and custom objects are similar to tables in a database, and fields are similar to columns in a table. This error message indicates that you're trying to access a field named 'firstName' on an object called 'i42as\_\_OrderEvent\_\_e', but that field doesn't exist on the object.\
\
If the 'firstName' field doesn't exist, you'll need to add it to the 'i42as\_\_OrderEvent\_\_e' object before you can access it. You can do this by checking the object's definition in Salesforce Setup -> Platform Events -> OrderEvent\_\_e -> Custom fields section.\
\
If the 'firstName' field does exist, make sure the field name is spelled correctly. Field names in Salesforce are case-sensitive, so 'firstName' is different from 'Firstname' or 'FIRSTNAME'. Also pay attention to the ending appended to all custom fields "\_\_c" : 'firstName' is different from 'firstName\_\_c'.<br>
{% endhint %}

{% hint style="danger" %}
**Error: STRING\_TOO\_LONG**\
\
Receiving a "STRING\_TOO\_LONG" error while attempting to publish platform events indicates that the content in a specific field surpasses the character limit set. To resolve this, you can modify the field length in the platform event field definition within the Setup. It's important to note that any platform event that triggers an error will not be resent and will be lost.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/integrations/using-limio-for-salesforce/troubleshooting/v3-platform-event-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
